FROM python:3.8.5

RUN mkdir /code
WORKDIR /code

COPY requirements.txt /code

RUN pip3 install -r /code/requirements.txt

COPY . /code

CMD gunicorn employeeCore.wsgi:application --bind 0.0.0.0:8000 && python3 manage.py makemigrations && python3 manage.py migrate && python3 manage.py collectstatic --no-input

CMD python3 manage.py createsuperuser
